--- fontconfig-2.16.0/conf.d/65-nonlatin.conf.orig
+++ fontconfig-2.16.0/conf.d/65-nonlatin.conf
@@ -5,6 +5,7 @@
 	<alias>
 		<family>serif</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Artsounk</family> <!-- armenian -->
 			<family>BPG UTF8 M</family> <!-- georgian -->
 			<family>Kinnari</family> <!-- thai -->
@@ -27,10 +28,6 @@
 			<family>MS Mincho</family> <!-- han (ja) -->
 			<family>SimSun</family> <!-- han (zh-cn,zh-tw) -->
 			<family>PMingLiu</family> <!-- han (zh-tw) -->
-			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
-			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
-			<family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
-			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
 			<family>HanyiSong</family> <!-- han (zh-cn,zh-tw) -->
 			<family>Hiragino Mincho ProN</family> <!-- han (ja) - macOS -->
@@ -38,10 +35,19 @@
 			<family>Songti TC</family> <!-- han (zh-tw) - macOS -->
 			<family>SimSong</family> <!-- han (zh-cn) - macOS -->
 			<family>MgOpen Canonica</family>
-			<family>Sazanami Mincho</family>
+            <family>HG-PMinchoL-Sun</family>
+            <family>HG-MinchoL-Sun</family>
 			<family>IPAMonaMincho</family>
 			<family>IPAMincho</family>
-			<family>Kochi Mincho</family>
+            <family>Sazanami Mincho</family>
+            <family>Sazanami Gothic</family>
+            <family>FZSongTi</family>
+            <family>FZMingTi</family>
+            <family>KacstQurn</family>
+            <family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
+            <family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
+            <family>AR PL ShanHeiSun Uni</family> <!-- han (ja,zh-cn,zh-tw) -->
+            <family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>AR PL SungtiL GB</family>
 			<family>AR PL Mingti2L Big5</family>
  			<family>AR PL Zenkai Uni</family>
@@ -69,12 +75,15 @@
  			<family>Lohit Kannada</family>
  			<family>Lohit Telugu</family>
  			<family>Lohit Oriya</family>
- 			<family>LKLUG</family>
+            <family>LKLUG</family>
+			<family>SunDotum</family>
+			<family>Gothic</family>
 		</prefer>
 	</alias>
 	<alias>
 		<family>sans-serif</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Nachlieli</family> <!-- hebrew -->
 			<family>Lucida Sans Unicode</family>
 			<family>Yudit Unicode</family>
@@ -104,10 +113,6 @@
 			<family>UmePlus P Gothic</family> <!-- han (ja) -->
 			<family>Microsoft YaHei</family> <!-- han (zh-cn,zh-tw) -->
 			<family>Microsoft JhengHei</family> <!-- han (zh-tw) -->
-			<family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
-			<family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
-			<family>AR PL ShanHeiSun Uni</family> <!--han (ja,zh-cn,zh-tw) -->
-			<family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
 			<family>Hiragino Sans</family> <!-- han (ja) - macOS -->
 			<family>PingFang SC</family> <!-- han (zh-cn) - macOS -->
 			<family>PingFang TC</family> <!-- han (zh-tw) - macOS -->
@@ -115,14 +120,22 @@
 			<family>Hiragino Sans CNS</family> <!-- han (zh-cn) - macOS -->
 			<family>Hiragino Sans GB</family> <!-- han (zh-tw) - macOS -->
 			<family>MgOpen Modata</family>
-			<family>VL Gothic</family>
-			<family>IPAMonaGothic</family>
+            <family>VL Gothic</family>
+            <family>HG-PGothicB-Sun</family>
+            <family>HG-GothicB-Sun</family>
+            <family>IPAMonaGothic</family>
+            <family>IPAPGothic</family>
 			<family>IPAGothic</family>
 			<family>Sazanami Gothic</family>
-			<family>Kochi Gothic</family>
+			<family>FZSongTi</family>
+            <family>FZMingTi</family>
+            <family>KacstQurn</family>
 			<family>AR PL KaitiM GB</family>
 			<family>AR PL KaitiM Big5</family>
- 			<family>AR PL ShanHeiSun Uni</family>
+ 	        <family>WenQuanYi Zen Hei</family> <!-- han (zh-cn,zh-tw) -->
+            <family>WenQuanYi Bitmap Song</family> <!-- han (zh-cn,zh-tw) -->
+            <family>AR PL ShanHeiSun Uni</family> <!--han (ja,zh-cn,zh-tw) -->
+            <family>AR PL New Sung</family> <!-- han (zh-cn,zh-tw) -->
  			<family>AR PL SungtiL GB</family>
  			<family>AR PL Mingti2L Big5</family>
 			<family>ＭＳ ゴシック</family>
@@ -151,17 +164,24 @@
  			<family>Lohit Telugu</family>
  			<family>Lohit Oriya</family>
  			<family>LKLUG</family>
+			<family>SunDotum</family>
+			<family>Gothic</family>
 		</prefer>
 	</alias>
 	<alias>
 		<family>monospace</family>
 		<prefer>
+			<family>EUDC</family>
 			<family>Miriam Mono</family> <!-- hebrew -->
 			<family>VL Gothic</family>
+			<family>HG-GothicB-Sun</family>
+			<family>HG-MinchoL-Sun</family>
 			<family>IPAMonaGothic</family>
 			<family>IPAGothic</family>
 			<family>Sazanami Gothic</family>
-			<family>Kochi Gothic</family>
+			<family>FZSongTi</family>
+                        <family>FZMingTi</family>
+                        <family>KacstQurn</family>
 			<family>AR PL KaitiM GB</family>
 			<family>MS Gothic</family> <!-- han (ja) -->
 			<family>UmePlus Gothic</family> <!-- han (ja) -->
@@ -175,7 +195,6 @@
 			<family>ZYSong18030</family> <!-- han (zh-cn,zh-tw) -->
 			<family>NanumGothicCoding</family> <!-- hangul (ko) -->
 			<family>NanumGothic</family> <!-- hangul (ko) -->
-			<family>UnDotum</family> <!-- hangul (ko) -->
 			<family>Baekmuk Dotum</family> <!-- hangul (ko) -->
 			<family>Baekmuk Gulim</family> <!-- hangul (ko) -->
 			<family>TlwgTypo</family> <!-- thai -->
@@ -202,6 +221,10 @@
 			<family>Lohit Telugu</family>
 			<family>Lohit Oriya</family>
 			<family>LKLUG</family>
+			<family>SunDotumChe</family>
+                        <family>UnBatang</family>
+                        <family>UnDotum</family>
+                        <family>Gothic</family>
 		</prefer>
 	</alias>
 <!--
